<?php

class FilterSampleField extends MantisFilter {

   public $field = "sample";
   public $title = 'FilterSample';

   /**
    * Filter type, as defined in core/constant_inc.php
    */
   public $type = FILTER_TYPE_MULTI_STRING;

   public $default = null;
   public $size = 1;
   public $colspan = 3;


   public function __construct() {
   }


   /**
    * Validate the filter input, returning true if input is
    * valid, or returning false if invalid.  Invalid inputs will
    * be replaced with the filter's default value.
    * @param multi Filter field input
    * @return boolean Input valid (true) or invalid (false)
    */
   public function validate( $p_filter_input ) {
        return true;
   }

   /**
    * Build the SQL query elements 'join', 'where', and 'params'
    * as used by core/filter_api.php to create the filter query.
    * @param multi Filter field input
    * @return array Keyed-array with query elements; see developer guide
    */
   function query( $p_filter_input ) {
      $project_id=helper_get_current_project();
      $bug_id = $p_filter_input[0];
      $t_bug_table = db_get_table( 'bug' );
      $t_query = array(
         'where' => " $t_bug_table.project_id=$project_id AND $t_bug_table.id= $bug_id",
      );
      return $t_query;
   }

   /**
    * Display the current value of the filter field.
    * @param multi Filter field input
    * @return string Current value output
    */
   function display( $p_filter_value ) {
      return $p_filter_value;
   }

   /**
    * For list type filters, define a keyed-array of possible
    * filter options, not including an 'any' value.
    * @return array Filter options keyed by value=>display
    */
   public function options() {

      $project_id=helper_get_current_project();
      $t_bug_table = db_get_table( 'bug' );

      $query = "SELECT DISTINCT id, summary " .
               "FROM $t_bug_table " .
               "WHERE project_id = ". db_param() .
               " ORDER BY `id` DESC LIMIT 10 ";

      $result = db_query($query, array( $project_id));
      $bugList = array();
      while ($row = db_fetch_array($result)) {
         $bugList[$row['id']] = $row['id'];
      }

      return $bugList;
   }
}
